<?php
declare(strict_types=1);

namespace App\Service\File\Storage;

use App\Entity\Core\File;
use App\Enum\Core\FileSizeEnum;
use Liip\ImagineBundle\Binary\BinaryInterface;

interface FileStorageInterface
{
    public function read(File $file): string;
    public function getImageUrl(File $file, string $size, bool $relativePath): string;
    public function support(File $file): bool;
    // TODO : complete with 'exists', 'write', and 'delete'
}
